Skip to main content
POST
/
dev
/
v1
/
customers
/
{id}
/
wallet
/
credit
Credit customer wallet
curl --request POST \
  --url https://api.shoppex.io/dev/v1/customers/{id}/wallet/credit \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "amount": "10.00",
  "type": "PROMO",
  "description": "Goodwill credit"
}
'
{
  "data": {
    "transaction_id": "txn_credit_1",
    "amount": 10,
    "currency": "EUR",
    "new_balance": 25,
    "available_balance": 22.5,
    "wallet_id": "wallet_1"
  }
}

Authorizations

Authorization
string
header
required

Use your Shoppex API key in the Authorization header.

Path Parameters

id
string
required

Body

amount
string
required
type
Available options:
CREDIT
description
string
expires_at
string

Response

200 - application/json

Successful response

data
object